---
title: "Release v0.23.0"
linkTitle: "Release v0.23.0"
date: 2022-01-04
description: >
 Release v0.23.0
---

## Changelog since v0.22.0

### New Features

* Introduce [Deployment Chain](https://pipecd.dev/docs/user-guide/deployment-chain/) which allows rolling out to multiple clusters gradually or promoting across environments

* Introduce a [better way](https://pipecd.dev/docs/user-guide/adding-an-application/#from-the-application-configuration-in-your-git-repository-recommended) to add applications just by a few clicks. Pipeds now start watching your Git repositories to find unregistered applications to suggest to add from the web console.

* The piped connection status is now showing in the piped tab on the setting page ([#2896](https://github.com/pipe-cd/pipecd/pull/2896))

### Notable Changes

* Ingress manifest in the control-plane chart has been migrated to `networking.k8s.io/v1` API version ([#2981](https://github.com/pipe-cd/pipecd/pull/2981))
* Environment is no longer required for Piped and application registration ([#2945](https://github.com/pipe-cd/pipecd/pull/2945))
* The default application configuration name to "app.pipecd.yaml" from ".pipe.yaml" ([#2950](https://github.com/pipe-cd/pipecd/pull/2950))
* The config filename is now required when you add an app on the web UI. ([#2951](https://github.com/pipe-cd/pipecd/pull/2951))
* The concept that used to be "Deployment Configuration" is now "Application Confguration" ([#2928](https://github.com/pipe-cd/pipecd/pull/2928))
* Updating application information via the Web UI is no longer possible ([#2910](https://github.com/pipe-cd/pipecd/pull/2910))
* Remove the old Piped stats mechanism. Piped before v0.14.0 will be no longer working from this control plane version. ([#2892](https://github.com/pipe-cd/pipecd/pull/2892))
* The predefined secrets in Piped chart have been removed ([#2878](https://github.com/pipe-cd/pipecd/pull/2878))

### Internal Changes

* Revise adding application guide ([#2997](https://github.com/pipe-cd/pipecd/pull/2997))
* Add inchain applications configurations ([#2993](https://github.com/pipe-cd/pipecd/pull/2993))
* Enable to handle query parameter as an array even only one ([#2996](https://github.com/pipe-cd/pipecd/pull/2996))
* Add link to deployment chain in feature status page ([#2992](https://github.com/pipe-cd/pipecd/pull/2992))
* Fix the location of doc for deployment chain ([#2991](https://github.com/pipe-cd/pipecd/pull/2991))
* Add required indexes for deploymentchain and deployment model ([#2990](https://github.com/pipe-cd/pipecd/pull/2990))
* Fix warning wrong format for interface value ([#2989](https://github.com/pipe-cd/pipecd/pull/2989))
* Introduce deployment chain controller in ops ([#2986](https://github.com/pipe-cd/pipecd/pull/2986))
* Remove unneeded explanation in the quickstart guide ([#2988](https://github.com/pipe-cd/pipecd/pull/2988))
* Simplify quickstart by removing unneeded step ([#2984](https://github.com/pipe-cd/pipecd/pull/2984))
* Add a missing required field to ingress manifest for control-plane chart ([#2985](https://github.com/pipe-cd/pipecd/pull/2985))
* Add using filestore as database to feature status page ([#2983](https://github.com/pipe-cd/pipecd/pull/2983))
* Add missing bazel rules needed to push images to local registry ([#2980](https://github.com/pipe-cd/pipecd/pull/2980))
* Fix stale command options in docs ([#2979](https://github.com/pipe-cd/pipecd/pull/2979))
* Translate triggering-a-deployment.md into Japanese ([#2977](https://github.com/pipe-cd/pipecd/pull/2977))
* Add the navigation link to the doc covering to add app from Git ([#2975](https://github.com/pipe-cd/pipecd/pull/2975))
* Update bazel and rules_docker to latest version ([#2972](https://github.com/pipe-cd/pipecd/pull/2972))
* Fix wrong image used in quickstart docs ([#2971](https://github.com/pipe-cd/pipecd/pull/2971))
* Add Nanaken san to contributors list ([#2970](https://github.com/pipe-cd/pipecd/pull/2970))
* Fix missing screenshot for quickstart ([#2969](https://github.com/pipe-cd/pipecd/pull/2969))
* Remove deployment chain model updating logic called in piped_api ([#2967](https://github.com/pipe-cd/pipecd/pull/2967))
* Change default interval to scan app config files ([#2966](https://github.com/pipe-cd/pipecd/pull/2966))
* Add doc that covers how to add an app from Git ([#2935](https://github.com/pipe-cd/pipecd/pull/2935))
* Make it possible to register labels via app config ([#2963](https://github.com/pipe-cd/pipecd/pull/2963))
* Add status to deployment chain model ([#2965](https://github.com/pipe-cd/pipecd/pull/2965))
* Update the Piped definition in docs ([#2961](https://github.com/pipe-cd/pipecd/pull/2961))
* Simplify the quickstart steps ([#2953](https://github.com/pipe-cd/pipecd/pull/2953))
* Add Piped installation link to user guide index ([#2962](https://github.com/pipe-cd/pipecd/pull/2962))
* Add docs on pipectl available commands ([#2960](https://github.com/pipe-cd/pipecd/pull/2960))
* Switch to use Stepper component to add app from Git ([#2956](https://github.com/pipe-cd/pipecd/pull/2956))
* Revise piped connection status UI color ([#2958](https://github.com/pipe-cd/pipecd/pull/2958))
* Fix miss kind in docs ([#2957](https://github.com/pipe-cd/pipecd/pull/2957))
* Make sure appconfigreporter to scan configs first ([#2955](https://github.com/pipe-cd/pipecd/pull/2955))
* Update kapetanios to assign all reviewers ([#2954](https://github.com/pipe-cd/pipecd/pull/2954))
* Translate rolling-back-a-deployment.md into Japanese ([#2952](https://github.com/pipe-cd/pipecd/pull/2952))
* Ensure to inspect unregistered apps even no new commit ([#2949](https://github.com/pipe-cd/pipecd/pull/2949))
* Don't show env when there isn't ([#2948](https://github.com/pipe-cd/pipecd/pull/2948))
* Add name field to all example app configs ([#2946](https://github.com/pipe-cd/pipecd/pull/2946))
* Add deployment chain list simple mock page ([#2944](https://github.com/pipe-cd/pipecd/pull/2944))
* Make Environment optional when adding an app from Git ([#2942](https://github.com/pipe-cd/pipecd/pull/2942))
* Remove function no longer needed ([#2943](https://github.com/pipe-cd/pipecd/pull/2943))
* Return PermissionDenied status instead of InvalidArgument in case access to resources of not permitted project ([#2940](https://github.com/pipe-cd/pipecd/pull/2940))
* Add DeploymentChain gRPCs ([#2923](https://github.com/pipe-cd/pipecd/pull/2923))
* Make environment fields optional ([#2939](https://github.com/pipe-cd/pipecd/pull/2939))
* Fix miss running make gazellel ([#2937](https://github.com/pipe-cd/pipecd/pull/2937))
* Make in chain application matcher works with ApplicationKind ([#2934](https://github.com/pipe-cd/pipecd/pull/2934))
* Disable onChain trigger by default ([#2932](https://github.com/pipe-cd/pipecd/pull/2932))
* Update contributor list ([#2930](https://github.com/pipe-cd/pipecd/pull/2930))
* Remove an RPC that no longer exist from the auth list ([#2927](https://github.com/pipe-cd/pipecd/pull/2927))
* Add sivchari and eltociear to the contributor list ([#2926](https://github.com/pipe-cd/pipecd/pull/2926))
* Update trigger docs ([#2924](https://github.com/pipe-cd/pipecd/pull/2924))
* Fix typo in piped_api.go ([#2922](https://github.com/pipe-cd/pipecd/pull/2922))
* fix misspell ([#2921](https://github.com/pipe-cd/pipecd/pull/2921))
* Unify Piped select UI with add manyally form ([#2920](https://github.com/pipe-cd/pipecd/pull/2920))
* Undo Env to mandatory again in App config ([#2918](https://github.com/pipe-cd/pipecd/pull/2918))
* Fix what only one unregistered application is shown ([#2916](https://github.com/pipe-cd/pipecd/pull/2916))
* Add the page in Japanese to the doc ([#2889](https://github.com/pipe-cd/pipecd/pull/2889))
* Remove unused PipedStats model ([#2911](https://github.com/pipe-cd/pipecd/pull/2911))
* Fetch piped list in setting page intervally ([#2908](https://github.com/pipe-cd/pipecd/pull/2908))
* Fix CHAIN_SYNC_APPLICATION command leaked from should trigger checking list ([#2907](https://github.com/pipe-cd/pipecd/pull/2907))
* Avoid trigger disabled application in chain ([#2906](https://github.com/pipe-cd/pipecd/pull/2906))
* Fix launcher to use valid Printf verbs ([#2905](https://github.com/pipe-cd/pipecd/pull/2905))
* Ensure to list unregistered apps whenever the add from git form got shown ([#2904](https://github.com/pipe-cd/pipecd/pull/2904))
* Allow Viewer to call ListUnregisteredApplications ([#2903](https://github.com/pipe-cd/pipecd/pull/2903))
* Remove unneeded data in secret manifest of Piped chart ([#2902](https://github.com/pipe-cd/pipecd/pull/2902))
* Lint web codebase ([#2901](https://github.com/pipe-cd/pipecd/pull/2901))
* Add a form to add an app from Git ([#2894](https://github.com/pipe-cd/pipecd/pull/2894))
* Using piped stat info to determine connection status ([#2895](https://github.com/pipe-cd/pipecd/pull/2895))
* Cancel deployments of the same block in case the block finished with FAILURE or CANCELLED status ([#2893](https://github.com/pipe-cd/pipecd/pull/2893))
* Download the latest version of pipectl ([#2856](https://github.com/pipe-cd/pipecd/pull/2856))
* Stop deployments of applications in case its chain is stopped ([#2866](https://github.com/pipe-cd/pipecd/pull/2866))
* Eliminate dependence on specific cryptographic algorithm from doc ([#2891](https://github.com/pipe-cd/pipecd/pull/2891))
* Fix missing bazel import ([#2886](https://github.com/pipe-cd/pipecd/pull/2886))
* Apply tabs to app adding form to add from Git ([#2871](https://github.com/pipe-cd/pipecd/pull/2871))
* Unify how to write whether it is required depends on the conditions ([#2883](https://github.com/pipe-cd/pipecd/pull/2883))
* Make sure to use the helper method to get app config file path ([#2882](https://github.com/pipe-cd/pipecd/pull/2882))
* Fix required field for ChartRepository struct in Piped config reference ([#2881](https://github.com/pipe-cd/pipecd/pull/2881))
* Fix appconfigreporter to handle app that config file is empty ([#2879](https://github.com/pipe-cd/pipecd/pull/2879))
* Revert "Temporarily disable appconfig reporter in Piped" ([#2880](https://github.com/pipe-cd/pipecd/pull/2880))
* Update plan-preview to use pipectl v0.22.0 ([#2876](https://github.com/pipe-cd/pipecd/pull/2876))
* Add knanao to reviewer list ([#2875](https://github.com/pipe-cd/pipecd/pull/2875))
