---
title: "Release v0.26.0"
linkTitle: "Release v0.26.0"
date: 2022-02-21
description: >
 Release v0.26.0
---

## Changelog since v0.25.1

### Breaking changes

The environment concept has been removed.

It was marked as deprecated from [v0.24.0](https://github.com/pipe-cd/pipecd/releases/tag/v0.24.0), and from this version, it will be no longer supported. Please check this [guide](https://pipecd.dev/blog/2022/02/10/february-2022-update/#environment-and-deployment-configuration-file-were-deprecated) to switch to use Label instead.

* Remove Environment concept from web view ([#3217](https://github.com/pipe-cd/pipecd/pull/3217))
* The env-id and env-name were removed from `pipectl application list` command ([#3294](https://github.com/pipe-cd/pipecd/pull/3294))
* Remove env-id option from pipectl's add-application command ([#3276](https://github.com/pipe-cd/pipecd/pull/3276))

### Notable Changes

* Add ability to specify api-versions for helm by using pipecd application configurations ([#3259](https://github.com/pipe-cd/pipecd/pull/3259))
* Add ability to specify kube-version for helm by using pipecd application configurations ([#3261](https://github.com/pipe-cd/pipecd/pull/3261))
* Enable filter notifications based on application/deployment's labels ([#3241](https://github.com/pipe-cd/pipecd/pull/3241))
* Enable to use `pipecd.dev/sync-by-replace: "enabled"` annotation in Kubernetes manifests to use `kubectl replace/create` instead of `kubectl apply` while applying it ([#3237](https://github.com/pipe-cd/pipecd/pull/3237))
* Fix wrong summary result for Kubernetes application in case the image version was updated ([#3285](https://github.com/pipe-cd/pipecd/pull/3285))
* Avoid error from actions-plan-preview when sending a too long message on GitHub ([#3253](https://github.com/pipe-cd/pipecd/pull/3253))
* Fix unable to register event in case of using MySQL as datastore ([#3245](https://github.com/pipe-cd/pipecd/pull/3245))

### Internal Changes

* Move architecture overview image to concept explanation page ([#2994](https://github.com/pipe-cd/pipecd/pull/2994))
* Add login note for project name ([#3289](https://github.com/pipe-cd/pipecd/pull/3289))
* Ensure that env_id is not used in any Piped component ([#3293](https://github.com/pipe-cd/pipecd/pull/3293))
* Add link to blog from quickstart docs ([#3290](https://github.com/pipe-cd/pipecd/pull/3290))
* Update contributor list ([#3292](https://github.com/pipe-cd/pipecd/pull/3292))
* Fix broken links in docs ([#3291](https://github.com/pipe-cd/pipecd/pull/3291))
* Fix broken links docs ([#3287](https://github.com/pipe-cd/pipecd/pull/3287))
* Introduce ShardStorable interface ([#3272](https://github.com/pipe-cd/pipecd/pull/3272))
* Add WaitForReady interface for livestatestore of Cloud Run ([#3278](https://github.com/pipe-cd/pipecd/pull/3278))
* Add cases of Cloud Run kind into DetermineAppHealthStatus ([#3280](https://github.com/pipe-cd/pipecd/pull/3280))
* Remove alpha note in the doc of event-watcher feature ([#3282](https://github.com/pipe-cd/pipecd/pull/3282))
* Add a space between label key and label name in application list page  ([#3281](https://github.com/pipe-cd/pipecd/pull/3281))
* Reorder the fields in application adding form ([#3279](https://github.com/pipe-cd/pipecd/pull/3279))
* Update to store application live state into the live state store ([#3240](https://github.com/pipe-cd/pipecd/pull/3240))
* Add actions log badge ([#3273](https://github.com/pipe-cd/pipecd/pull/3273))
* Remove environment concept from docs ([#3275](https://github.com/pipe-cd/pipecd/pull/3275))
* Remove environment concept from actions-plan-preview ([#3270](https://github.com/pipe-cd/pipecd/pull/3270))
* Add label and description for examples ([#3269](https://github.com/pipe-cd/pipecd/pull/3269))
* Update contributor list ([#3267](https://github.com/pipe-cd/pipecd/pull/3267))
* Correct the screenshot in quickstart ([#3266](https://github.com/pipe-cd/pipecd/pull/3266))
* Fix the name of Cloud Run in docs ([#3265](https://github.com/pipe-cd/pipecd/pull/3265))
* Fix a typo in reporter file name ([#3264](https://github.com/pipe-cd/pipecd/pull/3264))
* Fix wrong repository name in docs ([#3263](https://github.com/pipe-cd/pipecd/pull/3263))
* Add a blog post for February Update ([#3256](https://github.com/pipe-cd/pipecd/pull/3256))
* Introduce commander to models store interface ([#3243](https://github.com/pipe-cd/pipecd/pull/3243))
* Refactor to return reporter interface in livestatereporter ([#3257](https://github.com/pipe-cd/pipecd/pull/3257))
* Add WAIT stage into lambda canary-examplae ([#3258](https://github.com/pipe-cd/pipecd/pull/3258))
* Add MakeRevisionNamesSelector to generate the selector of revision names ([#3254](https://github.com/pipe-cd/pipecd/pull/3254))
* Fix documentation to use secret.data instead of secret.secretManagementKeyPair ([#3246](https://github.com/pipe-cd/pipecd/pull/3246))
* Add built in labels to CloudRun revision ([#3251](https://github.com/pipe-cd/pipecd/pull/3251))
* Add ListRevisions interface for CloudRun client ([#3249](https://github.com/pipe-cd/pipecd/pull/3249))
* Add AddRevisionLabels method to set revision labels in ServiceManifest ([#3250](https://github.com/pipe-cd/pipecd/pull/3250))
* Update notification configuration docs ([#3247](https://github.com/pipe-cd/pipecd/pull/3247))
* Add MakeResourceStates func for CloudRun ([#3238](https://github.com/pipe-cd/pipecd/pull/3238))
* Decoupling API with models store interface ([#3234](https://github.com/pipe-cd/pipecd/pull/3234))
* Add HealthStatus method to check health of service and revision ([#3231](https://github.com/pipe-cd/pipecd/pull/3231))
* Decoupling ops with models store interface ([#3235](https://github.com/pipe-cd/pipecd/pull/3235))
* Fix error handling in kubectl replace ([#3233](https://github.com/pipe-cd/pipecd/pull/3233))
* Remove Environment concept from piped source ([#3229](https://github.com/pipe-cd/pipecd/pull/3229))
* Add CloudRun service methods ([#3228](https://github.com/pipe-cd/pipecd/pull/3228))
* Remove Update model function from stores interface ([#3226](https://github.com/pipe-cd/pipecd/pull/3226))
* Add RevisionManifest method to convert run.Revision into RevisionManifest ([#3225](https://github.com/pipe-cd/pipecd/pull/3225))
* Add RevisionManifest for CloudRun ([#3223](https://github.com/pipe-cd/pipecd/pull/3223))
* Remove UpdateDeploymentChain function from deploymentchain store interface ([#3219](https://github.com/pipe-cd/pipecd/pull/3219))
* Add CloudRun application live state model ([#3220](https://github.com/pipe-cd/pipecd/pull/3220))
