---
title: "Release v0.32.0"
linkTitle: "Release v0.32.0"
date: 2022-05-25
description: >
 Release v0.32.0
---

## Changelog since v0.31.0

### Notable Changes

* Enable to load Helm chart in the private OCI registry ([#3643](https://github.com/pipe-cd/pipecd/pull/3643))
* Pass the analysis stage when the data point of metrics was empty ([#3663](https://github.com/pipe-cd/pipecd/pull/3663))
* Fix failed to push when multiple events were fired within checkInterval ([#3654](https://github.com/pipe-cd/pipecd/pull/3654))
* Update helm version to 3.8.2 from 3.2.1 ([#3646](https://github.com/pipe-cd/pipecd/pull/3646))
* Fix application's configuration is not synced on registering to pipecd control plane ([#3647](https://github.com/pipe-cd/pipecd/pull/3647))

### Internal Changes
* Add init container to avoid CrashLoopBackOff error on quickstart mode ([#3669](https://github.com/pipe-cd/pipecd/pull/3669))
* Add link to the PipeCD GitHub repository at the Header ([#3672](https://github.com/pipe-cd/pipecd/pull/3672))
* Upgrade workflows to use actions/checkout@v3 ([#3668](https://github.com/pipe-cd/pipecd/pull/3668))
* Automatically assign reviewers for all pull requests ([#3670](https://github.com/pipe-cd/pipecd/pull/3670))
* Remove the check whether the response of QueryPoints is empty or not ([#3667](https://github.com/pipe-cd/pipecd/pull/3667))
* Update piped and launcher to use base image from GHCR ([#3664](https://github.com/pipe-cd/pipecd/pull/3664))
* Switch to use golangci-lint ([#3660](https://github.com/pipe-cd/pipecd/pull/3660))
* Add missing step to login the container registry ([#3662](https://github.com/pipe-cd/pipecd/pull/3662))
* Add workflow to build and push tool images ([#3658](https://github.com/pipe-cd/pipecd/pull/3658))
* Remove pipectl-base, pipecd-base and static from tool ([#3659](https://github.com/pipe-cd/pipecd/pull/3659))
* Disable docker plugin of Kapetanios ([#3657](https://github.com/pipe-cd/pipecd/pull/3657))
* Unify workload name as command name in Makefile ([#3656](https://github.com/pipe-cd/pipecd/pull/3656))
* Remove unused tools and tests ([#3655](https://github.com/pipe-cd/pipecd/pull/3655))
* Fix to return ErrBranchNotFresh when git push failed because some refs were not updated ([#3652](https://github.com/pipe-cd/pipecd/pull/3652))
* Make build/go command output works on built platform ([#3653](https://github.com/pipe-cd/pipecd/pull/3653))
* Adjust `Deployed By` field in application list ([#3651](https://github.com/pipe-cd/pipecd/pull/3651))
* Remove unnecessary fmt print ([#3648](https://github.com/pipe-cd/pipecd/pull/3648))
* Remove tools which are no longer needed ([#3645](https://github.com/pipe-cd/pipecd/pull/3645))
* Remove tool/chart-releaser ([#3644](https://github.com/pipe-cd/pipecd/pull/3644))
* Fix the docs to add analysis type ([#3641](https://github.com/pipe-cd/pipecd/pull/3641))
* Update contributor list ([#3640](https://github.com/pipe-cd/pipecd/pull/3640))
* Resolve description lint error ([#3636](https://github.com/pipe-cd/pipecd/pull/3636))
* Fix the file name of labeler config ([#3639](https://github.com/pipe-cd/pipecd/pull/3639))
* Fix wrong action reference ([#3637](https://github.com/pipe-cd/pipecd/pull/3637))
* Switch to use labeler action ([#3634](https://github.com/pipe-cd/pipecd/pull/3634))
* Add some status badges to readme ([#3633](https://github.com/pipe-cd/pipecd/pull/3633))
* Gradually remove Kapetanios plugins ([#3632](https://github.com/pipe-cd/pipecd/pull/3632))
* Update codegen version ([#3629](https://github.com/pipe-cd/pipecd/pull/3629))
* Update image in docs ([#3631](https://github.com/pipe-cd/pipecd/pull/3631))
* Fix wrong path to Helm values file in the quickstart ([#3630](https://github.com/pipe-cd/pipecd/pull/3630))
* Enable to run piped which connects to local control plane ([#3627](https://github.com/pipe-cd/pipecd/pull/3627))
* Add protoc-gen-auth plugin to generate the service.pb.auth.go automatically ([#3623](https://github.com/pipe-cd/pipecd/pull/3623))
* Fix linebreak follow common mark convention ([#3626](https://github.com/pipe-cd/pipecd/pull/3626))
