---
title: "Contributing"
linkTitle: "Contributing"
weight: 1
description: >
  This page describes how to contribute to PipeCD.
---

PipeCD is an open source project that anyone in the community can use, improve, and enjoy. We'd love you to join us! 

## Contributor License Agreement

Contributions to this project must be accompanied by a Contributor License Agreement ("CLA") described at [pipe-cd/pipecd/master/CLA.md](https://github.com/pipe-cd/pipecd/blob/master/CLA.md). You (or your employer) retain the copyright to your contribution; this simply gives us permission to use and redistribute your contributions as part of the project.

You generally only need to sign a CLA once, so if you've already signed one, you probably don't need to do it again.

In case you have not signed yet, [pipecd-bot](https://github.com/pipecd-bot) will guide you to sign the CLA _when you send the first pull request to [pipe-cd/pipecd](https://github.com/pipe-cd/pipecd) repository_.

## Creating an issue

If you've found a problem, please create an issue in the [pipe-cd/pipecd](https://github.com/pipe-cd/pipecd/issues) repository.

## Creating a pull request

Look at our [help wanted issues](https://github.com/pipe-cd/pipecd/issues?q=is%3Aissue+is%3Aopen+label%3A"help+wanted") or our [good first issues](https://github.com/pipe-cd/pipecd/issues?q=is%3Aissue+is%3Aopen+label%3A"good+first+issue") for finding some good issues for your first pull request.

### Small tips

The pull request title is used to generate our release changelog. Therefore, it would be great if you write the title that is easier to understand from the user's point of view.

## Code reviews

All submissions, including submissions by project members, require review. We use GitHub pull requests for this purpose. Consult [GitHub Help](https://help.github.com/en/github/collaborating-with-issues-and-pull-requests/about-pull-requests) for more information on using pull requests.
