// Code generated by protoc-gen-validate. DO NOT EDIT.
// source: pkg/model/piped_stat.proto

package model

import (
	"bytes"
	"errors"
	"fmt"
	"net"
	"net/mail"
	"net/url"
	"regexp"
	"sort"
	"strings"
	"time"
	"unicode/utf8"

	"google.golang.org/protobuf/types/known/anypb"
)

// ensure the imports are used
var (
	_ = bytes.MinRead
	_ = errors.New("")
	_ = fmt.Print
	_ = utf8.UTFMax
	_ = (*regexp.Regexp)(nil)
	_ = (*strings.Reader)(nil)
	_ = net.IPv4len
	_ = time.Duration(0)
	_ = (*url.URL)(nil)
	_ = (*mail.Address)(nil)
	_ = anypb.Any{}
	_ = sort.Sort
)

// Validate checks the field values on PipedStat with the rules defined in the
// proto definition for this message. If any rules are violated, the first
// error encountered is returned, or nil if there are no violations.
func (m *PipedStat) Validate() error {
	return m.validate(false)
}

// ValidateAll checks the field values on PipedStat with the rules defined in
// the proto definition for this message. If any rules are violated, the
// result is a list of violation errors wrapped in PipedStatMultiError, or nil
// if none found.
func (m *PipedStat) ValidateAll() error {
	return m.validate(true)
}

func (m *PipedStat) validate(all bool) error {
	if m == nil {
		return nil
	}

	var errors []error

	if utf8.RuneCountInString(m.GetPipedId()) < 1 {
		err := PipedStatValidationError{
			field:  "PipedId",
			reason: "value length must be at least 1 runes",
		}
		if !all {
			return err
		}
		errors = append(errors, err)
	}

	// no validation rules for Metrics

	if m.GetTimestamp() <= 0 {
		err := PipedStatValidationError{
			field:  "Timestamp",
			reason: "value must be greater than 0",
		}
		if !all {
			return err
		}
		errors = append(errors, err)
	}

	if len(errors) > 0 {
		return PipedStatMultiError(errors)
	}

	return nil
}

// PipedStatMultiError is an error wrapping multiple validation errors returned
// by PipedStat.ValidateAll() if the designated constraints aren't met.
type PipedStatMultiError []error

// Error returns a concatenation of all the error messages it wraps.
func (m PipedStatMultiError) Error() string {
	var msgs []string
	for _, err := range m {
		msgs = append(msgs, err.Error())
	}
	return strings.Join(msgs, "; ")
}

// AllErrors returns a list of validation violation errors.
func (m PipedStatMultiError) AllErrors() []error { return m }

// PipedStatValidationError is the validation error returned by
// PipedStat.Validate if the designated constraints aren't met.
type PipedStatValidationError struct {
	field  string
	reason string
	cause  error
	key    bool
}

// Field function returns field value.
func (e PipedStatValidationError) Field() string { return e.field }

// Reason function returns reason value.
func (e PipedStatValidationError) Reason() string { return e.reason }

// Cause function returns cause value.
func (e PipedStatValidationError) Cause() error { return e.cause }

// Key function returns key value.
func (e PipedStatValidationError) Key() bool { return e.key }

// ErrorName returns error name.
func (e PipedStatValidationError) ErrorName() string { return "PipedStatValidationError" }

// Error satisfies the builtin error interface
func (e PipedStatValidationError) Error() string {
	cause := ""
	if e.cause != nil {
		cause = fmt.Sprintf(" | caused by: %v", e.cause)
	}

	key := ""
	if e.key {
		key = "key for "
	}

	return fmt.Sprintf(
		"invalid %sPipedStat.%s: %s%s",
		key,
		e.field,
		e.reason,
		cause)
}

var _ error = PipedStatValidationError{}

var _ interface {
	Field() string
	Reason() string
	Key() bool
	Cause() error
	ErrorName() string
} = PipedStatValidationError{}
